function [H,U]=Tides(time)

%t=time;              %timer input
t=time/3600;        %time[s]-->[h] 
h_sum=0;
H=0;
u_sum=0;
U=0;

periode=[12.42, 12.00, 12.66, 23.93, 26.87, 24.07]; %[h]
omega=(2*pi)./periode;                              %[rad/h]
h= 1.68.*[0.913, 0.283, 0.202, 0.079, 0.013, 0.026];%[m]
u= 1.68.*[1.51, 0.47, 0.33, 0.13, 0.02, 0.04 ];     %[m/s]
phase=[50.1, 89.6, 22.5, 236.2, 23.8, 236.2];       %[rad]

for i=1:1:length(omega)
    h_sum=h_sum+h(i)*cos(omega(i)*t+phase(i));        %[m]
    u_sum=u_sum+u(i)*cos(omega(i)*t+phase(i)+(pi/2)); %[m/s]
end

H=h_sum;
U=u_sum;
return