function [vertw vert]=profile(TotWD, axisPos, k, Vwmax, omegaw, t, V, Hwave, config5, WD)

vertw=zeros(1, length(WD));
vert=zeros(1, length(WD));
%ny=Hwave/2*sin(omegaw*t);
Vcurrentmax=V*(TotWD/(TotWD-axisPos))^(1/7);

    if config5==0                       %if uniform velocity profile
        for teller=1:length(WD)
            d=teller-1;
            %ds=d*(1+ny/TotWD)+ny;
            vertw(teller)=V+Vwmax*exp(-k*d)*cos(-omegaw*t);
            vert(teller)=V;
        end
    else                                %if no-slip profile
        for teller=1:length(WD)
            d=teller-1;                     %distance from sea surface
            %ds=d*(1+ny/TotWD)+ny
            vertw(teller)=Vcurrentmax*((TotWD-d)/TotWD)^(1/7)+Vwmax*exp(-k*d)*cos(-omegaw*t);
            vert(teller)=Vcurrentmax*((TotWD-d)/TotWD)^(1/7);
        end
end

 return
% returning vector