clc
clear all
close all

TotWD_ini=36;
WD=TotWD_ini:-1:0;
t=0:1:10;
axisPos=18.5;
k=0.124;
Vwmax=2.1094;
omegaw=1.1029;
Vin=2.5;
Hwave=3.82;
config5=1;

vert=zeros(1, length(WD));
vertw=zeros(1, length(WD));
vertical=cell(1, length(t));         %creates an empty cell array of matrices
verticalw=cell(1, length(t));         %creates an empty cell array of matrices

for j=1:length(t)
%function vertical=profile(TotWD, axisPos, k, Vwmax, omegaw, t, V, Hwave, config5, WD)
%profile(TotWD, 18.5, 0.124, 2.1094, 1.1029, t, 2.5, 3.82, 1, WD)

[vertw vert]=profile(TotWD_ini, axisPos, k, Vwmax, omegaw, t(j), Vin, Hwave, config5, WD);
verticalw{j}=vertw;
vertical{j}=vert;

 figure(j)
 hold on
 plot(vertw, WD, '-b')
 plot(vert, WD, '-g')
 hold off
 xlabel('Velocity [m/s]' ,'fontsize',12)
 ylabel('TotWD[m]','fontsize',12)
 grid on
 box on
j
 vertw
 
end

%verticalw{1}
%vertical{1}
figure(12)
 hold on
 plot(verticalw{1}, WD, '-b')
 plot(vertical{1}, WD, '-g')
 hold off
 xlabel('Velocity [m/s]' ,'fontsize',12)
 ylabel('TotWD[m]','fontsize',12)
 grid on
 box on