clc
clear all
close all

t=0:0.05:150;         %in sec
H=zeros(1,length(t));
U=zeros(1,length(t));
%Vinput=zeros(1,length(t));

for j=1:length(t)
    [H(j),U(j)]=Tides(t(j)); 
end


% Hmean=mean(H)
% Hmin=min(H)
% Hmax=max(H)
% 
% Umean=mean(U)
% Umin=min(U)
% Umax=max(U)

 figure(1)
 hold on
 plot(t, H,'-b')
 %plot(t, U,'-g')
 plot(t, abs(U),'-g')
 hold off
 xlabel('Time [h]','fontsize',12)
 ylabel('H [m], U [m/s]' ,'fontsize',12)
 %legend('H: Water level','U: Water velocity','Location','NorthWest')
 grid on
 box on

 %save matrices as cell array

tides_matrix_6mnd=cell(2, 3);

tides_matrix_6mnd{1,1}='U';
tides_matrix_6mnd{1,2}='H';
tides_matrix_6mnd{1,3}='t';

tides_matrix_6mnd{2, 1}=U;
tides_matrix_6mnd{2, 2}=H;
tides_matrix_6mnd{2, 3}=t;

save tides_matrix_6mnd.mat 