function u_fluct=turbulence(time)

t=time;            %[s]
u_sum=0;
u_fluct=0;

periode=[1, 3, 5, 10, 20, 30, 40, 50, 60];   %[s]
omega=(2*pi)./periode;                       %[rad/s]
u=[rand(1)-0.5, rand(1)-0.5, rand(1)-0.5, rand(1)-0.5, rand(1)-0.5, rand(1)-0.5, rand(1)-0.5, rand(1)-0.5, rand(1)-0.5 ]; %[m/s], random numbers between 0 and 1
phase=(pi/2).*rand(1,9);                     %[rad]

for i=1:length(omega)
   u_sum=u_sum+u(i)*cos(omega(i)*t+phase(i)); %[m/s]
end

u_fluct=u_sum;

return
