function [cl,cd]=LiftDragCoeff(alpha, rR, aero_arr)

R=[0.1 0.25 0.75 0.90 0.98 1.0];

for i=1:1:length(R-1)
    
    if rR>=R(i) && rR<R(i+1)      %cylinder
        if i==1
           cd=0.5;     
           cl=0;        
        else
            Alpha=aero_arr{i-1}(:,1);    %cell {i-1}, (:,1) all columns, first row
            CL=aero_arr{i-1}(:,2);
            CD=aero_arr{i-1}(:,3);
            cl=interp1(Alpha,CL,alpha);
            cd=interp1(Alpha,CD,alpha);
        end  
    end
end

return